Generic parent class for all schema items.

A schema item is an ObjectClass, an AttributeBype, a MatchingRule, or a Syntax. All schema items have at least two things in common: An OID and a description. This class provides an implementation for these two data.

package | lib

### Methods

## Default constructor.

    SchemaItem()

## getDescription()

    getDescription()

## getOID()

    getOID()

## Initialize class members to default values.

    initVars()

## setDescription()

    setDescription($new_desc)

### Parameters

#### $new_desc

## setOID()

    setOID($new_oid)

### Parameters

#### $new_oid

### Properties

## The description of this schema item.

    $description

## The OID of this schema item.

    $oid

Generic parent class for all schema items.

A schema item is an ObjectClass, an AttributeBype, a MatchingRule, or a Syntax. All schema items have at least two things in common: An OID and a description. This class provides an implementation for these two data.

package | phpLDAPadmin
subpackage | Schema

### Methods

## getDescription()

    getDescription()

## Gets whether this objectClass is flagged as obsolete by the LDAP server.

    getIsObsolete()

## Return the objects name.

    getName($lower) : string

param boolean $lower Return the name in lower case (default)

### Parameters

#### $lower

### Returns

`string`The name

## getOID()

    getOID()

## setDescription()

    setDescription($desc)

### Parameters

#### $desc

## setOID()

    setOID($oid)

### Parameters

#### $oid

### Properties

## $description

    $description

## $name

    $name

## $is_obsolete

    $is_obsolete

## $oid

    $oid